diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TimePeriod.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TimePeriod.java
index 63b2950d6f..4b46b648c7 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TimePeriod.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TimePeriod.java
@@ -10,12 +10,8 @@
 package eu.etaxonomy.cdm.model.common;
 
 import java.io.Serializable;
-import java.text.DateFormat;
-import java.text.ParsePosition;
 import java.util.Calendar;
 import java.util.Date;
-import java.util.regex.Matcher;
-import java.util.regex.Pattern;
 
 import javax.persistence.Embeddable;
 import javax.persistence.Transient;
@@ -26,6 +22,7 @@ import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.XmlType;
 import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
 
+import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
 import org.hibernate.annotations.Type;
 import org.hibernate.search.annotations.Analyze;
@@ -36,18 +33,18 @@ import org.joda.time.DateTimeFieldType;
 import org.joda.time.LocalDate;
 import org.joda.time.Partial;
 import org.joda.time.ReadableInstant;
-import org.joda.time.ReadablePartial;
 import org.joda.time.format.DateTimeFormatter;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.hibernate.search.PartialBridge;
 import eu.etaxonomy.cdm.jaxb.PartialAdapter;
+import eu.etaxonomy.cdm.strategy.cache.common.TimePeriodPartialFormatter;
 
 /**
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:07:00
  * @updated 05-Dec-2008 23:00:05
+ * @updated 14-Jul-2013 move parser methods to TimePeriodParser
  */
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "TimePeriod", propOrder = {
@@ -58,6 +55,7 @@ import eu.etaxonomy.cdm.jaxb.PartialAdapter;
 @XmlRootElement(name = "TimePeriod")
 @Embeddable
 public class TimePeriod implements Cloneable, Serializable {
+	private static final long serialVersionUID = 3405969418194981401L;
 	private static final Logger logger = Logger.getLogger(TimePeriod.class);
 	public static final DateTimeFieldType MONTH_TYPE = DateTimeFieldType.monthOfYear();
 	public static final DateTimeFieldType YEAR_TYPE = DateTimeFieldType.year();
@@ -81,6 +79,7 @@ public class TimePeriod implements Cloneable, Serializable {
 	@XmlElement(name = "FreeText")
 	private String freeText;
 
+// ********************** FACTORY METHODS **************************/
 
 	/**
 	 * Factory method
@@ -205,9 +204,10 @@ public class TimePeriod implements Cloneable, Serializable {
 		return new TimePeriod(startDate, endDate);
 	}
 
+//****************** CONVERTERS ******************/	
 
 	/**
-	 * Transforms a <code>Calendar</code> into a <code>Partial</code>
+	 * Transforms a {@link Calendar} into a <code>Partial</code>
 	 * @param calendar
 	 * @return
 	 */
@@ -218,7 +218,7 @@ public class TimePeriod implements Cloneable, Serializable {
 	}
 
 	/**
-	 * Transforms a <code>Calendar</code> into a <code>Partial</code>
+	 * Transforms a {@link ReadableInstant} into a <code>Partial</code>
 	 * @param calendar
 	 * @return
 	 */
@@ -229,6 +229,19 @@ public class TimePeriod implements Cloneable, Serializable {
 		return partial;
 	}
 
+
+	public static Integer getPartialValue(Partial partial, DateTimeFieldType type){
+		if (partial == null || ! partial.isSupported(type)){
+			return null;
+		}else{
+			return partial.get(type);
+		}
+	}
+
+
+	
+//*********************** CONSTRUCTOR *********************************/	
+	
 	/**
 	 * Constructor
 	 */
@@ -243,34 +256,7 @@ public class TimePeriod implements Cloneable, Serializable {
 		end=endDate;
 	}
 
-	/**
-	 * True, if this time period represents a period not a single point in time.
-	 * This is by definition, that the time period has a start and an end value,
-	 * and both have a year value that is not null
-	 * @return
-	 */
-	@Transient
-	public boolean isPeriod(){
-		if (getStartYear() != null && getEndYear() != null ){
-			return true;
-		}else{
-			return false;
-		}
-	}
-
-	/**
-	 * True, if there is no start date and no end date and no freetext representation exists.
-	 * @return
-	 */
-	@Transient
-	public boolean isEmpty(){
-		if (CdmUtils.isEmpty(this.getFreeText()) && start == null  && end == null ){
-			return true;
-		}else{
-			return false;
-		}
-	}
-
+//******************* GETTER / SETTER ************************************/
 
 	public Partial getStart() {
 		return start;
@@ -309,6 +295,38 @@ public class TimePeriod implements Cloneable, Serializable {
 		this.freeText = freeText;
 	}
 
+	
+//******************* Transient METHODS ************************************/
+
+	/**
+	 * True, if this time period represents a period not a single point in time.
+	 * This is by definition, that the time period has a start and an end value,
+	 * and both have a year value that is not null
+	 * @return
+	 */
+	@Transient
+	public boolean isPeriod(){
+		if (getStartYear() != null && getEndYear() != null ){
+			return true;
+		}else{
+			return false;
+		}
+	}
+
+	/**
+	 * True, if there is no start date and no end date and no freetext representation exists.
+	 * @return
+	 */
+	@Transient
+	public boolean isEmpty(){
+		if (StringUtils.isBlank(this.getFreeText()) && start == null  && end == null ){
+			return true;
+		}else{
+			return false;
+		}
+	}
+
+
 
 	@Transient
 	public String getYear(){
@@ -356,15 +374,6 @@ public class TimePeriod implements Cloneable, Serializable {
 		return getPartialValue(end, DAY_TYPE);
 	}
 
-	public static Integer getPartialValue(Partial partial, DateTimeFieldType type){
-		if (partial == null || ! partial.isSupported(type)){
-			return null;
-		}else{
-			return partial.get(type);
-		}
-
-	}
-
 	public TimePeriod setStartYear(Integer year){
 		return setStartField(year, YEAR_TYPE);
 	}
@@ -402,18 +411,22 @@ public class TimePeriod implements Cloneable, Serializable {
 		}
 	}
 
+	@Transient
 	private TimePeriod setStartField(Integer value, DateTimeFieldType type)
 			throws IndexOutOfBoundsException{
 		start = setPartialField(start, value, type);
 		return this;
 	}
 
+	@Transient
 	private TimePeriod setEndField(Integer value, DateTimeFieldType type)
 			throws IndexOutOfBoundsException{
 		end = setPartialField(end, value, type);
 		return this;
 	}
 
+// ******************************** internal methods *******************************/	
+	
 	/**
 	 * Throws an IndexOutOfBoundsException if the value does not have a valid value
 	 * (e.g. month > 12, month < 1, day > 31, etc.)
@@ -459,298 +472,6 @@ public class TimePeriod implements Cloneable, Serializable {
 	}
 
 
-	//patter for first year in string;
-	private static final Pattern firstYearPattern =  Pattern.compile("\\d{4}");
-	//case "1806"[1807];
-	private static final Pattern uncorrectYearPatter =  Pattern.compile("\"\\d{4}\"\\s*\\[\\d{4}\\]");
-	//case fl. 1806 or c. 1806 or fl. 1806?
-	private static final Pattern prefixedYearPattern =  Pattern.compile("(fl|c)\\.\\s*\\d{4}(\\s*-\\s*\\d{4})?\\??");
-	//standard
-	private static final Pattern standardPattern =  Pattern.compile("\\s*\\d{2,4}(\\s*-(\\s*\\d{2,4})?)?");
-	private static final String strDotDate = "[0-3]?\\d\\.[01]?\\d\\.\\d{4,4}";
-	private static final String strDotDatePeriodPattern = String.format("%s(\\s*-\\s*%s?)?", strDotDate, strDotDate);
-	private static final Pattern dotDatePattern =  Pattern.compile(strDotDatePeriodPattern);
-
-
-	public static TimePeriod parseString(TimePeriod timePeriod, String periodString){
-		//TODO move to parser class
-		//TODO until now only quick and dirty (and partly wrong)
-		TimePeriod result = timePeriod;
-
-		if(timePeriod == null){
-			return timePeriod;
-		}
-
-		if (periodString == null){
-			return result;
-		}
-		periodString = periodString.trim();
-
-		result.setFreeText(null);
-		Date date;
-
-		//case "1806"[1807];
-		if (uncorrectYearPatter.matcher(periodString).matches()){
-			result.setFreeText(periodString);
-			String realYear = periodString.split("\\[")[1];
-			realYear = realYear.replace("]", "");
-			result.setStartYear(Integer.valueOf(realYear));
-			result.setFreeText(periodString);
-		//case fl. 1806 or c. 1806 or fl. 1806?
-		}else if(prefixedYearPattern.matcher(periodString).matches()){
-			result.setFreeText(periodString);
-			Matcher yearMatcher = firstYearPattern.matcher(periodString);
-			yearMatcher.find();
-			String startYear = yearMatcher.group();
-			result.setStartYear(Integer.valueOf(startYear));
-			if (yearMatcher.find()){
-				String endYear = yearMatcher.group();
-				result.setEndYear(Integer.valueOf(endYear));
-			}
-		}else if (dotDatePattern.matcher(periodString).matches()){
-			parseDotDatePattern(periodString, result);
-		}else if (standardPattern.matcher(periodString).matches()){
-			parseStandardPattern(periodString, result);
-//TODO first check ambiguity of parser results e.g. for 7/12/11
-//		}else if (isDateString(periodString)){
-//			String[] startEnd = makeStartEnd(periodString);
-//			String start = startEnd[0];
-//			DateTime startDateTime = dateStringParse(start, true);
-//			result.setStart(startDateTime);
-//			if (startEnd.length > 1){
-//				DateTime endDateTime = dateStringParse(startEnd[1], true);
-//				;
-//				result.setEnd(endDateTime.toLocalDate());
-//			}
-
-		}else{
-			result.setFreeText(periodString);
-		}
-		return result;
-	}
-
-	private static boolean isDateString(String periodString) {
-		String[] startEnd = makeStartEnd(periodString);
-		String start = startEnd[0];
-		DateTime startDateTime = dateStringParse(start, true);
-		if (startDateTime == null){
-			return false;
-		}
-		if (startEnd.length > 1){
-			DateTime endDateTime = dateStringParse(startEnd[1], true);
-			if (endDateTime != null){
-				return true;
-			}
-		}
-		return false;
-	}
-
-
-	/**
-	 * @param periodString
-	 * @return
-	 */
-	private static String[] makeStartEnd(String periodString) {
-		String[] startEnd = new String[]{periodString};
-		if (periodString.contains("-") && periodString.matches("^-{2,}-^-{2,}")){
-			startEnd = periodString.split("-");
-		}
-		return startEnd;
-	}
-
-
-	private static DateTime dateStringParse(String string, boolean strict) {
-		DateFormat dateFormat = DateFormat.getDateInstance();
-		ParsePosition pos = new ParsePosition(0);
-		Date a = dateFormat.parse(string, pos);
-		if (a == null || pos.getIndex() != string.length()){
-			return null;
-		}
-		Calendar cal = Calendar.getInstance();
-		cal.setTime(a);
-		DateTime result = new DateTime(cal);
-		return result;
-	}
-
-
-	/**
-	 * @param periodString
-	 * @param result
-	 */
-	private static void parseDotDatePattern(String periodString,TimePeriod result) {
-		String[] dates = periodString.split("-");
-		Partial dtStart = null;
-		Partial dtEnd = null;
-
-		if (dates.length > 2 || dates.length <= 0){
-			logger.warn("More than 1 '-' in period String: " + periodString);
-			result.setFreeText(periodString);
-		}else {
-			try {
-				//start
-				if (! CdmUtils.isEmpty(dates[0])){
-					dtStart = parseSingleDotDate(dates[0].trim());
-				}
-
-				//end
-				if (dates.length >= 2 && ! CdmUtils.isEmpty(dates[1])){
-					dtEnd = parseSingleDotDate(dates[1].trim());
-				}
-
-				result.setStart(dtStart);
-				result.setEnd(dtEnd);
-			} catch (IllegalArgumentException e) {
-				//logger.warn(e.getMessage());
-				result.setFreeText(periodString);
-			}
-		}
-	}
-
-
-	/**
-	 * @param periodString
-	 * @param result
-	 */
-	private static void parseStandardPattern(String periodString,
-			TimePeriod result) {
-		String[] years = periodString.split("-");
-		Partial dtStart = null;
-		Partial dtEnd = null;
-
-		if (years.length > 2 || years.length <= 0){
-			logger.warn("More than 1 '-' in period String: " + periodString);
-		}else {
-			try {
-				//start
-				if (! CdmUtils.isEmpty(years[0])){
-					dtStart = parseSingleDate(years[0].trim());
-				}
-
-				//end
-				if (years.length >= 2 && ! CdmUtils.isEmpty(years[1])){
-					years[1] = years[1].trim();
-					if (years[1].length()==2 && dtStart != null && dtStart.isSupported(DateTimeFieldType.year())){
-						years[1] = String.valueOf(dtStart.get(DateTimeFieldType.year())/100) + years[1];
-					}
-					dtEnd = parseSingleDate(years[1]);
-				}
-
-				result.setStart(dtStart);
-				result.setEnd(dtEnd);
-			} catch (IllegalArgumentException e) {
-				//logger.warn(e.getMessage());
-				result.setFreeText(periodString);
-			}
-		}
-	}
-
-	public static TimePeriod parseString(String strPeriod) {
-		TimePeriod timePeriod = TimePeriod.NewInstance();
-		return parseString(timePeriod, strPeriod);
-	}
-
-
-	protected static Partial parseSingleDate(String singleDateString) throws IllegalArgumentException{
-		//FIXME until now only quick and dirty and incomplete
-		Partial partial =  new Partial();
-		singleDateString = singleDateString.trim();
-		if (CdmUtils.isNumeric(singleDateString)){
-			try {
-				Integer year = Integer.valueOf(singleDateString.trim());
-				if (year < 1000 && year > 2100){
-					logger.warn("Not a valid year: " + year + ". Year must be between 1000 and 2100");
-				}else if (year < 1700 && year > 2100){
-					logger.warn("Not a valid taxonomic year: " + year + ". Year must be between 1750 and 2100");
-					partial = partial.with(YEAR_TYPE, year);
-				}else{
-					partial = partial.with(YEAR_TYPE, year);
-				}
-			} catch (NumberFormatException e) {
-				logger.debug("Not a Integer format in getCalendar()");
-				throw new IllegalArgumentException(e);
-			}
-		}else{
-			throw new IllegalArgumentException("Until now only years can be parsed as single dates. But date is: " + singleDateString);
-		}
-		return partial;
-
-	}
-
-	protected static Partial parseSingleDotDate(String singleDateString) throws IllegalArgumentException{
-		Partial partial =  new Partial();
-		singleDateString = singleDateString.trim();
-		String[] split = singleDateString.split("\\.");
-		int length = split.length;
-		if (length > 3){
-			throw new IllegalArgumentException(String.format("More than 2 dots in date '%s'", singleDateString));
-		}
-		String strYear = split[split.length-1];
-		String strMonth = length >= 2? split[split.length-2]: null;
-		String strDay = length >= 3? split[split.length-3]: null;
-
-
-		try {
-			Integer year = Integer.valueOf(strYear.trim());
-			Integer month = Integer.valueOf(strMonth.trim());
-			Integer day = Integer.valueOf(strDay.trim());
-			if (year < 1000 && year > 2100){
-				logger.warn("Not a valid year: " + year + ". Year must be between 1000 and 2100");
-			}else if (year < 1700 && year > 2100){
-				logger.warn("Not a valid taxonomic year: " + year + ". Year must be between 1750 and 2100");
-				partial = partial.with(YEAR_TYPE, year);
-			}else{
-				partial = partial.with(YEAR_TYPE, year);
-			}
-			if (month != null && month != 0){
-				partial = partial.with(MONTH_TYPE, month);
-			}
-			if (day != null && day != 0){
-				partial = partial.with(DAY_TYPE, day);
-			}
-		} catch (NumberFormatException e) {
-			logger.debug("Not a Integer format somewhere in " + singleDateString);
-			throw new IllegalArgumentException(e);
-		}
-		return partial;
-
-	}
-
-
-
-	private class TimePeriodPartialFormatter extends DateTimeFormatter{
-		private TimePeriodPartialFormatter(){
-			super(null, null);
-		}
-		@Override
-        public String print(ReadablePartial partial){
-			//TODO
-			String result = "";
-			String year = (partial.isSupported(YEAR_TYPE))? String.valueOf(partial.get(YEAR_TYPE)):null;
-			String month = (partial.isSupported(MONTH_TYPE))? String.valueOf(partial.get(MONTH_TYPE)):null;;
-			String day = (partial.isSupported(DAY_TYPE))? String.valueOf(partial.get(DAY_TYPE)):null;;
-
-			if (month !=null){
-				if (year == null){
-					year = "xxxx";
-				}
-			}
-			if (day != null){
-				if (month == null){
-					month = "xx";
-				}
-				if (year == null){
-					year = "xxxx";
-				}
-			}
-			result = (day != null)? day + "." : "";
-			result += (month != null)? month + "." : "";
-			result += (year != null)? year : "";
-
-			return result;
-		}
-
-	}
-
 //**************************** to String ****************************************
 
 	/**
@@ -762,8 +483,8 @@ public class TimePeriod implements Cloneable, Serializable {
 	@Override
     public String toString(){
 		String result = null;
-		DateTimeFormatter formatter = new TimePeriodPartialFormatter();
-		if ( CdmUtils.isNotEmpty(this.getFreeText())){
+		DateTimeFormatter formatter = TimePeriodPartialFormatter.NewInstance();
+		if ( StringUtils.isNotBlank(this.getFreeText())){
 			result = this.getFreeText();
 		}else{
 			String strStart = start != null ? start.toString(formatter): null;
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/VocabularyEnum.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/VocabularyEnum.java
index c9e15f0e09..69405eb2c5 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/VocabularyEnum.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/VocabularyEnum.java
@@ -12,26 +12,20 @@ package eu.etaxonomy.cdm.model.common;
 
 import java.util.UUID;
 
-import eu.etaxonomy.cdm.model.agent.InstitutionType;
 import eu.etaxonomy.cdm.model.description.AbsenceTerm;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.MeasurementUnit;
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.NaturalLanguageTerm;
 import eu.etaxonomy.cdm.model.description.PresenceTerm;
-import eu.etaxonomy.cdm.model.description.Scope;
-import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StatisticalMeasure;
 import eu.etaxonomy.cdm.model.description.TextFormat;
-import eu.etaxonomy.cdm.model.location.Continent;
+import eu.etaxonomy.cdm.model.location.Country;
+import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
-import eu.etaxonomy.cdm.model.location.TdwgArea;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
-import eu.etaxonomy.cdm.model.media.RightsTerm;
+import eu.etaxonomy.cdm.model.media.RightsType;
 import eu.etaxonomy.cdm.model.name.HybridRelationshipType;
 import eu.etaxonomy.cdm.model.name.NameRelationshipType;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignationStatus;
@@ -39,15 +33,12 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
-import eu.etaxonomy.cdm.model.occurrence.DeterminationModifier;
-import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
 import eu.etaxonomy.cdm.model.taxon.SynonymRelationshipType;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
 
 /**
  * @author n.hoffmann
  * @created 03.06.2009
- * @version 1.0
  * 
  * @deprecated
  * A static list of vocabularies is not the right way to do this.
@@ -58,8 +49,9 @@ public enum VocabularyEnum {
 
 	Language("45ac7043-7f5e-4f37-92f2-3874aaaef2de", Language.class),
 	UndefinedLanguage("7fd1e6d0-2e76-4dfa-bad9-2673dd042c28", Language.class),
-	Continent("e72cbcb6-58f8-4201-9774-15d0c6abc128", Continent.class),
-	WaterbodyOrCountry("006b1870-7347-4624-990f-e5ed78484a1a", WaterbodyOrCountry.class),
+	Continent("e72cbcb6-58f8-4201-9774-15d0c6abc128", NamedArea.class),
+	Country("006b1870-7347-4624-990f-e5ed78484a1a", Country.class),
+	Waterbody("35a62b25-f541-4f12-a7c7-17d90dec3e03", NamedArea.class),
 	Rank("ef0d1ce1-26e3-4e83-b47b-ca74eed40b1b", Rank.class),
 	SpecimenTypeDesignationStatus("ab177bd7-d3c8-4e58-a388-226fff6ba3c2", SpecimenTypeDesignationStatus.class),
 	NomenclaturalStatusType("bb28cdca-2f8a-4f11-9c21-517e9ae87f1f", NomenclaturalStatusType.class),
@@ -73,27 +65,31 @@ public enum VocabularyEnum {
 	NamedAreaLevel("49034253-27c8-4219-97e8-f8d987d3d122", NamedAreaLevel.class),
 	Feature("b187d555-f06f-4d65-9e53-da7c93f8eaa8", Feature.class),
 	NameFeature("a7ca3eef-4092-49e1-beec-ed5096193e5e", Feature.class),
-	TdwgArea("1fb40504-d1d7-44b0-9731-374fbe6cac77", TdwgArea.class),
+	TdwgArea("1fb40504-d1d7-44b0-9731-374fbe6cac77", NamedArea.class),
 	PresenceTerm("adbbbe15-c4d3-47b7-80a8-c7d104e53a05", PresenceTerm.class),
 	AbsenceTerm("5cd438c8-a8a1-4958-842e-169e83e2ceee", AbsenceTerm.class),
-	Sex("9718b7dd-8bc0-4cad-be57-3c54d4d432fe", Sex.class),
+	Sex("9718b7dd-8bc0-4cad-be57-3c54d4d432fe", DefinedTerm.class),
 	DerivationEventType("398b50bb-348e-4fe0-a7f5-a75afd846d1f", DerivationEventType.class),
-	PreservationMethod("a7dc20c9-e6b3-459e-8f05-8d6d8fceb465", PreservationMethod.class),
-	DeterminationModifier("fe87ea8d-6e0a-4e5d-b0da-0ab8ea67ca77", DeterminationModifier.class),
+//	PreservationMethod("a7dc20c9-e6b3-459e-8f05-8d6d8fceb465", DefinedTerm.class),
+	DeterminationModifier("fe87ea8d-6e0a-4e5d-b0da-0ab8ea67ca77", DefinedTerm.class),
 	StatisticalMeasure("066cc62e-7213-495e-a020-97a1233bc037", StatisticalMeasure.class),
-	RightsTerm("8627c526-73af-44d9-902c-11c1f11b60b4", RightsTerm.class),
+	RightsType("8627c526-73af-44d9-902c-11c1f11b60b4", RightsType.class),
 	NameTypeDesignationStatus("ab60e738-4d09-4c24-a1b3-9466b01f9f55", NameTypeDesignationStatus.class),
 	ExtensionType("117cc307-5bd4-4b10-9b2f-2e14051b3b20",ExtensionType.class),
 	ReferenceSystem("ec6376e5-0c9c-4f5c-848b-b288e6c17a86",ReferenceSystem.class),
-	InstitutionType("29ad808b-3126-4274-be81-4561e7afc76f", InstitutionType.class),
+	InstitutionType("29ad808b-3126-4274-be81-4561e7afc76f", DefinedTerm.class),
 	MeasurementUnit("3b82c375-66bb-4636-be74-dc9cd087292a", MeasurementUnit.class),
-	Scope("109bf76d-6f55-43d5-9ec5-6115d9490faa", Scope.class),
-	Stage("4d475bea-c3ae-4494-be16-6796f22fabac", Stage.class),
+	Scope("109bf76d-6f55-43d5-9ec5-6115d9490faa", DefinedTerm.class),
+	Stage("4d475bea-c3ae-4494-be16-6796f22fabac", DefinedTerm.class),
 	State("ceb65a53-c6cf-42bb-862f-daca7f2fc11d", State.class),
 	TextFormat("ac3926d2-5f6b-45a5-9cf9-be2a5a43f9b3", TextFormat.class),
 //	NamedArea("57c25420-ae94-4848-9513-2aff9bdb502c", NamedArea.class),
 	NaturalLanguageTerm("fdaba4b0-5c14-11df-a08a-0800200c9a66", NaturalLanguageTerm.class),
-	Modifier("b9434774-4931-4f1e-99cb-40a3ecd61777", Modifier.class)
+	Modifier("b9434774-4931-4f1e-99cb-40a3ecd61777", DefinedTerm.class),
+	DnaMarkerEukaryote("d219a463-1cc9-4800-b82f-3146d0afe31e", DefinedTerm.class),
+	DnaMarkerChloroplast("e572d370-a27b-40d3-974c-cb17562b59cf", DefinedTerm.class),
+	PlantKindOfUnit("5167c47b-7726-4dba-b02f-dafb7629481b", DefinedTerm.class),
+	SpecimenKindOfUnit("b0344ec4-12f7-40d3-82c1-0092e9780bbd", DefinedTerm.class)
 	;
 	
 	
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/init/TermLoader.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/init/TermLoader.java
index 862c770fa7..9118f417ea 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/init/TermLoader.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/init/TermLoader.java
@@ -9,6 +9,7 @@
 
 package eu.etaxonomy.cdm.model.common.init;
 
+import java.lang.reflect.Constructor;
 import java.net.URI;
 import java.util.ArrayList;
 import java.util.HashMap;
@@ -24,6 +25,7 @@ import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.OrderedTermBase;
 import eu.etaxonomy.cdm.model.common.OrderedTermVocabulary;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 import eu.etaxonomy.cdm.model.common.VocabularyEnum;
 import eu.etaxonomy.cdm.model.location.NamedArea;
@@ -32,16 +34,6 @@ import eu.etaxonomy.cdm.model.location.NamedArea;
 public class TermLoader implements ITermLoader {
 	private static final Logger logger = Logger.getLogger(TermLoader.class);
 
-	private Map<Class<? extends DefinedTermBase>,String> termFileNames = new HashMap<Class<? extends DefinedTermBase>,String>();
-	
-	public TermLoader() {
-		this.termFileNames.put(NamedArea.class, "TdwgArea.csv");
-	}
-	
-	public void setTermFileNames(Map<Class<? extends DefinedTermBase>,String> termFileNames) {
-		this.termFileNames = termFileNames;
-	}
-	
 	public void unloadAllTerms(){
 		for(VocabularyEnum vocabularyEnum : VocabularyEnum.values()) {
 //			Class<? extends DefinedTermBase<?>> clazz = vocabularyEnum.getClazz();
@@ -51,16 +43,8 @@ public class TermLoader implements ITermLoader {
 
 	private <T extends DefinedTermBase> void unloadVocabularyType(VocabularyEnum vocType){
 		Class<? extends DefinedTermBase> termClass = vocType.getClazz();
-		try {
-			T termInstance = ((Class<T>)termClass).newInstance();
-			termInstance.resetTerms();
-			
-		} catch (InstantiationException e) {
-			throw new RuntimeException(e);
-		} catch (IllegalAccessException e) {
-			throw new RuntimeException(e);
-		} 
-
+		getInstance(termClass).resetTerms();
+		return;
 	}
 
 	
@@ -68,15 +52,6 @@ public class TermLoader implements ITermLoader {
 	public <T extends DefinedTermBase> TermVocabulary<T> loadTerms(VocabularyEnum vocType, Map<UUID,DefinedTermBase> terms) {
 		
 		String filename = vocType.name()+".csv";
-//		termClass.getSimpleName()+".csv";
-		
-//		/**
-//		 * Check to see if a non-standard filename should be used 
-//		 * ( The file should still reside in the same directory )
-//		 */ 
-//		if(termFileNames.containsKey(termClass)) {
-//			filename = termFileNames.get(termClass);
-//		}
 		Class<? extends DefinedTermBase> termClass = vocType.getClazz();
 		
 		String strResourceFileName = "terms" + CdmUtils.getFolderSeperator() + filename;
@@ -84,24 +59,26 @@ public class TermLoader implements ITermLoader {
 		
 		try {
 			CSVReader reader = new CSVReader(CdmUtils.getUtf8ResourceReader("terms" + CdmUtils.getFolderSeperator() + filename));
+			String [] nextLine = reader.readNext();
 			
 			//vocabulary
-			TermVocabulary<T> voc = null;
-			String labelAbbrev = null;
-			
+			TermVocabulary<T> voc;
+			TermType termType = TermType.Unknown;
 			if (OrderedTermBase.class.isAssignableFrom(termClass)){
-				voc = OrderedTermVocabulary.NewInstance(termClass.getCanonicalName(), termClass.getSimpleName(), labelAbbrev, URI.create(termClass.getCanonicalName()));
+				voc = OrderedTermVocabulary.NewInstance(termType);
 			}else{
-				voc = TermVocabulary.NewInstance(termClass.getCanonicalName(), vocType.name(), labelAbbrev, URI.create(termClass.getCanonicalName()));
+				voc = TermVocabulary.NewInstance(termType);
 			}
 			
-			String [] nextLine = reader.readNext();
 			if (nextLine != null){
 				voc.readCsvLine(arrayedLine(nextLine));
 			}
+			termType = voc.getTermType();
+			boolean abbrevAsId = (arrayedLine(nextLine).get(5).equals("1"));
 			
 			// Ugly, I know, but I don't think we can use a static method here . . 
-			T termInstance = ((Class<T>)termClass).newInstance(); 
+			
+			T classDefiningTermInstance = getInstance(termClass);// ((Class<T>)termClass).newInstance(); 
 			
 			while ((nextLine = reader.readNext()) != null) {
 				// nextLine[] is an array of values from the line
@@ -109,7 +86,8 @@ public class TermLoader implements ITermLoader {
 					continue;
 				}
 
-				T term = (T) termInstance.readCsvLine(termClass,arrayedLine(nextLine), terms);
+				T term = (T) classDefiningTermInstance.readCsvLine(termClass,arrayedLine(nextLine), terms, abbrevAsId);
+				term.setTermType(termType);
 				terms.put(term.getUuid(), term);
 				voc.addTerm(term);
 			}
@@ -124,6 +102,17 @@ public class TermLoader implements ITermLoader {
 		
 	}
 
+	private  <T extends DefinedTermBase> T getInstance(Class<? extends DefinedTermBase> termClass) {
+		try {
+			Constructor<T> c = ((Class<T>)termClass).getDeclaredConstructor();
+			c.setAccessible(true);
+			T termInstance = c.newInstance();
+			return termInstance;
+		} catch (Exception e) {
+			throw new RuntimeException(e);
+		}
+	}
+
 	private List<String> arrayedLine(String [] nextLine){
 		ArrayList<String> csvTermAttributeList = new ArrayList<String>(15);
 		for (String col : nextLine){
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java
index 53a45c24e5..1d20c3b578 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/package-info.java
@@ -101,7 +101,9 @@
 	@org.hibernate.annotations.TypeDef(name="dateTimeUserType", typeClass=org.jadira.usertype.dateandtime.joda.PersistentDateTime.class),
 	@org.hibernate.annotations.TypeDef(name="partialUserType", typeClass=eu.etaxonomy.cdm.hibernate.PartialUserType.class),
 	@org.hibernate.annotations.TypeDef(name="uuidUserType", typeClass=eu.etaxonomy.cdm.hibernate.UUIDUserType.class),
-	@org.hibernate.annotations.TypeDef(name="uriUserType", typeClass=eu.etaxonomy.cdm.hibernate.URIUserType.class)
+	@org.hibernate.annotations.TypeDef(name="uriUserType", typeClass=eu.etaxonomy.cdm.hibernate.URIUserType.class),
+	@org.hibernate.annotations.TypeDef(name="enumUserType", typeClass=eu.etaxonomy.cdm.hibernate.EnumUserType.class),	
+	@org.hibernate.annotations.TypeDef(name="doiUserType", typeClass=eu.etaxonomy.cdm.hibernate.DOIUserType.class)	
 })
 @org.hibernate.annotations.AnyMetaDef(name = "CdmBase" ,
 		                              metaType="string",
@@ -129,12 +131,8 @@
 		@MetaValue(value = "eu.etaxonomy.cdm.model.name.ViralName", targetEntity = ViralName.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.name.ZoologicalName", targetEntity = ZoologicalName.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.Collection", targetEntity = Collection.class),
+		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.FieldUnit", targetEntity = FieldUnit.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.DerivedUnit", targetEntity = DerivedUnit.class),
-		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.FieldObservation", targetEntity = FieldObservation.class),
-		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.Fossil", targetEntity = Fossil.class),
-		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.LivingBeing", targetEntity = LivingBeing.class),
-		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.Observation", targetEntity = Observation.class),
-		@MetaValue(value = "eu.etaxonomy.cdm.model.occurrence.Specimen", targetEntity = Specimen.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.reference.Reference", targetEntity = Reference.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.reference.Journal", targetEntity = Reference.class),
 		@MetaValue(value = "eu.etaxonomy.cdm.model.reference.Article", targetEntity = Reference.class),
@@ -187,12 +185,8 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalStatus;
 import eu.etaxonomy.cdm.model.name.ViralName;
 import eu.etaxonomy.cdm.model.name.ZoologicalName;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
-import eu.etaxonomy.cdm.model.occurrence.Fossil;
-import eu.etaxonomy.cdm.model.occurrence.LivingBeing;
-import eu.etaxonomy.cdm.model.occurrence.Observation;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
